Public Member Functions | List of all members
WP5AttributeOffGroup Class Reference

`#include <WP5AttributeGroup.h>`

Inheritance diagram for WP5AttributeOffGroup:

## Public Member Functions
| WP5AttributeOffGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP5Listener *listener) override
Public Member Functions inherited from WP5AttributeGroup
| WP5AttributeGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
unsigned char | getAttribute () const
Public Member Functions inherited from WP5FixedLengthGroup
| WP5FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Additional Inherited Members
Static Public Member Functions inherited from WP5FixedLengthGroup
static WP5FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP5AttributeGroup
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP5FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Constructor & Destructor Documentation

## ◆ WP5AttributeOffGroup()

WP5AttributeOffGroup::WP5AttributeOffGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

## ◆ parse()

void WP5AttributeOffGroup::parse | ( | WP5Listener * | listener | ) |
| override virtual

Implements WP5AttributeGroup.

The documentation for this class was generated from the following files:

- WP5AttributeGroup.h
- WP5AttributeGroup.cpp